OpenNMS API 1.2.9

## org.opennms.web.eventconf.bobject
Class Snmp

    java.lang.Object
      org.opennms.web.eventconf.bobject.Snmp

All Implemented Interfaces:
  java.lang.Cloneable

Deprecated. Replaced by a Castor-generated implementation.

public class Snmp
extends java.lang.Object
implements java.lang.Cloneable

This is a data class for storing snmp event configuration information as parsed from the eventconf.xml file

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS
See Also:
  `Snmp`

Field Summary
`private java.lang.String` `m_community` Deprecated.
`private java.lang.String` `m_generic` Deprecated.
`private java.lang.String` `m_id` Deprecated.
`private java.lang.String` `m_idtext` Deprecated.
`private java.lang.String` `m_specific` Deprecated.
`private java.lang.String` `m_version` Deprecated.

Constructor Summary
`Snmp()` Deprecated. Default constructor, intializes the member variables.

Method Summary
`java.lang.Object` `clone()` Deprecated.
`java.lang.String` `getCommunity()` Deprecated.
`java.lang.String` `getGeneric()` Deprecated.
`java.lang.String` `getId()` Deprecated.
`java.lang.String` `getIdText()` Deprecated.
`java.lang.String` `getSpecific()` Deprecated.
`java.lang.String` `getVersion()` Deprecated.
`void` `setCommunity(java.lang.String community)` Deprecated.
`void` `setGeneric(java.lang.String generic)` Deprecated.
`void` `setId(java.lang.String id)` Deprecated.
`void` `setIdText(java.lang.String idText)` Deprecated.
`void` `setSpecific(java.lang.String specific)` Deprecated.
`void` `setVersion(java.lang.String version)` Deprecated.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_id

    private java.lang.String m_id

  Deprecated.

### m_idtext

    private java.lang.String m_idtext

  Deprecated.

### m_version

    private java.lang.String m_version

  Deprecated.

### m_specific

    private java.lang.String m_specific

  Deprecated.

### m_generic

    private java.lang.String m_generic

  Deprecated.

### m_community

    private java.lang.String m_community

  Deprecated.

Constructor Detail

### Snmp

    public Snmp()

  Deprecated.
  Default constructor, intializes the member variables.

Method Detail

### clone

    public java.lang.Object clone()

  Deprecated.

### setId

    public void setId(java.lang.String id)

  Deprecated.

### getId

    public java.lang.String getId()

  Deprecated.

### setIdText

    public void setIdText(java.lang.String idText)

  Deprecated.

### getIdText

    public java.lang.String getIdText()

  Deprecated.

### setVersion

    public void setVersion(java.lang.String version)

  Deprecated.

### getVersion

    public java.lang.String getVersion()

  Deprecated.

### setSpecific

    public void setSpecific(java.lang.String specific)

  Deprecated.

### getSpecific

    public java.lang.String getSpecific()

  Deprecated.

### setGeneric

    public void setGeneric(java.lang.String generic)

  Deprecated.

### getGeneric

    public java.lang.String getGeneric()

  Deprecated.

### setCommunity

    public void setCommunity(java.lang.String community)

  Deprecated.

### getCommunity

    public java.lang.String getCommunity()

  Deprecated.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.